Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593280 - Review Request: servicelog - Servicelog Tools
Review Request: servicelog - Servicelog Tools
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 08:23 EDT by Roman Rakus
Modified: 2014-01-12 19:11 EST (History)
5 users (show)

See Also:
Fixed In Version: servicelog-1.1.7-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 07:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rrakus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2010-05-18 08:23:49 EDT
SPEC URL: http://rrakus.fedorapeople.org/servicelog.spec
SRPM URL: http://rrakus.fedorapeople.org/servicelog-1.1.7-1.fc11.src.rpm
Description:
Command-line interfaces for viewing and manipulating the contents of
the servicelog database. Contains entries that are useful
for performing system service operations, and for providing a history
of service operations that have been performed on the system.
Comment 1 Kamil Dudka 2010-05-18 08:51:44 EDT
Fedora Merge Review: servicelog

http://cvs.fedoraproject.org/viewvc/devel/libservicelog
Comment 2 Kamil Dudka 2010-05-18 08:54:38 EDT
(In reply to comment #1)
> Fedora Merge Review: servicelog

s/servicelog/libservicelog/
Comment 3 Kamil Dudka 2010-05-18 09:09:07 EDT
Sorry for the mess above.  This bug is for review of servicelog (not libservicelog)...
Comment 4 Kamil Dudka 2010-05-19 07:16:06 EDT
+ silent rpmlint
+ valid source URL and project URL
+ dist tag OK
+ BuildRoot tag OK
+ license tag OK
+ no downstream patches for now
+ configure OK
+ make OK
+ %install OK
+ %clean OK
+ %files OK
- I wonder why the upstream tarball is not already bootstrapped
- also the CVS directories look there redundant to me
- some warnings during build on ppc64 as follows:

    warning: format '%llu' expects type 'long long unsigned int', but argument 2 has type 'uint64_t'

They seem to be false alarms since sizeof(unsigned long long) == sizeof(unit64_t) == 8.

Overall the package looks sane.
Comment 5 Roman Rakus 2010-05-19 12:28:23 EDT
I have forgot to set flags. Setting fedora-review flag to + (see comment 4).
Comment 6 Roman Rakus 2010-05-20 08:23:50 EDT
New Package CVS Request
=======================
Package Name: servicelog
Short Description: Servicelog Tools
Owners: rrakus
Branches: rawhide
InitialCC:
Comment 7 Kevin Fenzi 2010-05-20 15:40:14 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Kamil Dudka 2010-08-31 07:49:52 EDT
servicelog-1.1.7-1.fc14 is already out, closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.